Bug 820938 - infinispan-rhq-plugin does not work properly with JON 3.1.0.GA
infinispan-rhq-plugin does not work properly with JON 3.1.0.GA
Status: CLOSED NOTABUG
Product: JBoss Data Grid 6
Classification: JBoss
Component: unspecified (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Tristan Tarrant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 07:38 EDT by Martin Gencur
Modified: 2012-08-15 10:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-16 16:13:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Gencur 2012-05-11 07:38:46 EDT
Description of problem:

I started JON server and JON agent, the plugin was properly distributed from server to the agent. After typing "plugins info" in agent's console, I got this version:

infinispan-rhq-plugin-5.1.5.ER8-redhat-1.jar
        Plugin Name:  Infinispan
	Display Name: InfinispanPlugin
	Last Updated: May 11, 2012 1:13:12 PM CEST
	File Size:    26,492 bytes
	MD5 Hashcode: e5acaf3e679f682f2cc15a0689191ee2

However, I don't see this plugin in action when I type "discovery". Other plugins like JBossAS7 plugin try to discover related resources, but infinspan-rhq-plugin does not. I can't see any action from this plugin in the command output.

As a result, I can't use this plugin in JON GUI either.
Comment 1 Tristan Tarrant 2012-05-16 16:13:12 EDT
The Infinispan RHQ plugin is JMX based and will not work within an AS7 instance. A new plugin will be delivered with ER9 which uses the AS7 management protocol

Note You need to log in before you can comment on or make changes to this bug.